Attribute VB_Name = "Module9"
Private Declare Function ECF_VerificaModoOperacao Lib "CONVECF.DLL" (ByVal Modo As String) As Integer
Private Declare Function ECF_DataHoraImpressora Lib "CONVECF.DLL" (ByVal Data As String, ByVal Hora As String) As Integer

Function ModoOperacao()
    Dim Modo As String
    
    Modo = Space(1)
    retorno = ECF_VerificaModoOperacao(Modo)
    
    MsgBox " 'Modo de Operação' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Modo de Operação: " & Modo
End Function

Function DataHora()
    Dim Data As String, Hora As String
    
    Data = Space(6)
    Hora = Space(6)
    retorno = ECF_DataHoraImpressora(Data, Hora)
    MsgBox " 'Data e Hora Atual' " & vbCrLf & "Status: " & retorno
    
    Form1.List1.AddItem "Data: " & Data
    Form1.List1.AddItem "Hora: " & Hora
End Function
